local M = {}

M.add = function(a)
return a+1
end

M.dx = application:getLogicalTranslateX() / application:getLogicalScaleX()
M.dy = application:getLogicalTranslateY() / application:getLogicalScaleY()
M.width = application:getContentWidth()
M.height = application:getContentHeight()
M.fullw = M.width+2*M.dx
M.fullh = M.height+2*M.dy
M.screenTop = -M.dy
M.screenLeft = -M.dx
M.centerX = (M.width+2*M.dx)/2
M.centerY = (M.height+2*M.dy)/2



M.tall = false
if M.fullh/M.fullw>1.6 then

	M.tall=true
end

local deviceHt = application:getDeviceHeight()
local deviceWt = application:getDeviceWidth()


if (deviceHt/deviceWt)>1.6 then

	M.HorizontalDistance = math.floor((M.width-38)/9) --20)--33--31
	M.VerticalDistance = math.floor(38*M.HorizontalDistance/35)     --31) --40  --38
	M.xS = 0.1*math.floor(9.6*M.HorizontalDistance/35)--31)

elseif (deviceHt/deviceWt)<=1.6 then

	M.VerticalDistance = math.floor(38*M.height/(480*1.1))       --((160-71)/4.5)*display.contentHeight/480           --math.round((display.contentHeight-50-71-16)/9)
	M.HorizontalDistance = math.floor(31*M.VerticalDistance/38)
	M.xS = 0.1*math.floor(9.6*M.HorizontalDistance/31)

end

M.color = 56


return M